<?php

function add_user_form_validate($arr, $token = 0){
    include_once("function_library/def_functions/_usuarios.php");
    $arr = json_decode($arr, true);
    return json_encode(_usuario_form_validate($arr, false, true) );
}

function add_user_form_main($token, $arr){
    if (!_is_logged($token)) return json_encode(array("STATUS"=>1000));
    include_once("function_library/def_functions/_usuarios.php");
    $arr_decode = json_decode($arr, true);
    $rtn = _add_usuario_form_main($arr_decode);
    return json_encode($rtn);
}

function update_user_form_main($token, $arr){
    if (!_is_logged($token)) return json_encode(array("STATUS"=>1000));
    include_once("function_library/def_functions/_usuarios.php");
    $arr_decode = json_decode($arr, true);    
    $rtn = _update_usuario_form_main($arr_decode, $token);
    return json_encode($rtn);
}

function update_user_form_other($token, $arr){
    if (!_is_logged($token)) return json_encode(array("STATUS"=>1000));
    include_once("function_library/def_functions/_usuarios.php");
    $arr_decode = json_decode($arr, true);
    
    $rtn = _update_user_form_other($arr_decode, $token);
    return json_encode($rtn);
}

function get_user_for_edit($token, $email ){
    $rtn = array();
    if (!_is_logged($token)) return json_encode(array("STATUS"=>1000) );
    $rtn['STATUS'] = 0;
    if ($email){
        $sql = new sqldata();

        $sql->where("Email = '".$email."'");
        $res = $sql->get_tabla("users");

        if ($res){
            $rtn['USER'] = array(
                "NOMBRE"=>$res[0]['Nombre'],
                "APELLIDO"=>$res[0]['Apellido'],
                "DOMICILIO"=>$res[0]['Domicilio'],
                "PASSWORD"=>$res[0]['Password'],
                "CIUDAD"=>$res[0]['Ciudad'],
                "CCPP"=>$res[0]['Ccpp'],
                "PROVINCIA_ID"=>$res[0]['ProvinciaID'],
                "PAIS_ID"=>$res[0]['PaisID'],
                "CUIT"=>$res[0]['Cuit'],
                "EMAIL"=>$res[0]['Email'],
                "TELEFONO"=>$res[0]['Telefono'],
                "NACIONALIDAD"=>$res[0]['Nacionlidad'],
                "NACIMIENTO"=>$res[0]['Nacimiento'],
                "COD"=>encrypt($res[0]['ID']),
                "COD_EDIT"=>encrypt($res[0]['ID'], $token)
                );
            $rtn['STATUS'] = 1;

        }
    }
    return json_encode($rtn);
}

function password_change($token, $cod, $password_anterior, $password_nuevo){
    if (!_is_logged($token)) return json_encode(array("STATUS"=>1000));
    include_once("function_library/def_functions/_usuarios.php");
    $ret = _password_change($cod, $password_anterior, $password_nuevo);
    return json_encode($ret);
}



function get_estados($pais_id = false){
    $sql = new sqldata();

    if ($pais_id) $sql->where("PaisID= ".$pais_id);
    $provincias = $sql->get_tabla("estados");
    return json_encode($provincias);
}

function get_paises(){
    $sql = new sqldata();
    $paises = $sql->get_tabla("paises");
    return json_encode($paises);
}

function get_paises_from_provincia($provincia){

    $sql = new sqldata();
    $provincia = $sql->get_tabla("estados", "id = ".$provincia);

    if ($provincia){
        $pais = $sql->get_tabla("paises","id = ".$provincia[0]['PaisID']);
        return $pais[0];
    }
    else{
        return array();
    }
}

function login_user($token, $email, $pass ){
    if (!_is_logged($token)) return json_encode(array("STATUS"=>1000));
    if (strlen($email)>0 && strlen($pass)>0 ){
        
        
        $sql = new sqldata();
        $sql->where("Email = '".$email."' AND password = '".$pass."'");
        $usuario = $sql->get_tabla("users");
        if ($usuario){
            return json_encode(array(
                "STATUS"=>1,
                "USER"=>array(
                    "NOMBRE"=>$usuario[0]['Nombre'],
                    "APELLIDO"=>$usuario[0]['Apellido'],
                    "EMAIL"=>$usuario[0]['Email'],
                    "USER_ID"=>encrypt($token.$usuario[0]['ID'])
                )
            ));
        }
    }
}

function get_client_card_list(){
    $data->get_tabla("users_tarjeta");
}


?>